<?php if (!defined('APPLICATION')) exit();
?><h1><?php echo T($this->Data['Title']); ?></h1>
<div class="PageInfo">
   <h2><?php echo T('Customize Chatwee settings');?></h2>
   <p><?php
      echo T($this->Data['PluginDescription']);
   ?></p>
</div>

<h3><?php echo T('General settings'); ?></h3>

<?php
   echo $this->Form->Open();
   echo $this->Form->Errors();
?><ul>

   <li><?php
      echo $this->Form->Label('Chatwee Code', 'Plugin.Chatwee.code');
	   echo Wrap(
                     T("Copy the Chatwee installation code from your <a href='https://client.chatwee.com/v2/dashboard' target='_blank'>Dashboard</a> and paste it into the box. If you don't have a Chatwee account yet, please <a href='https://client.chatwee.com/register-form/v2' target='_blank'>sign up</a> absolutely for free."),
                     'div',
                     array('class' => 'Info')
                  );
      echo $this->Form->Textbox('Plugin.Chatwee.code', Array('Multiline' => TRUE));
   ?></li>
</ul>

<h3><?php echo T('SSO settings'); ?></h3>

<ul>

   <li><?php
      echo $this->Form->Label('Enable SSO', 'Plugin.Chatwee.sso_enable');
      echo Wrap(
                     T('Check this box if you want your users to log in via Single Sign-on.'),
                     'div',
                     array('class' => 'Info')
                  );
      echo $this->Form->checkBox('Plugin.Chatwee.sso_enable');
   ?></li>

   <hr/>

   <li><?php
      echo $this->Form->Label('Chat ID ', 'Plugin.Chatwee.chat_id');
	   echo Wrap(
                     T("Enter your Chat ID available in the <a href='https://client.chatwee.com/v2/customize#integration' target='_blank'>Integration</a> tab."),
                     'div',
                     array('class' => 'Info')
                  );
      echo $this->Form->Textbox('Plugin.Chatwee.chat_id');
   ?></li>

   <hr/>

   <li><?php
      echo $this->Form->Label('API Key', 'Plugin.Chatwee.api_key');
	   echo Wrap(
                     T("Enter your Client API Key available in the <a href='https://client.chatwee.com/v2/customize#integration' target='_blank'>Integration</a> tab."),
                     'div',
                     array('class' => 'Info')
                  );
      echo $this->Form->Textbox('Plugin.Chatwee.api_key');
   ?></li>

   <hr/>

   <li><?php
      echo $this->Form->Label('Vanilla moderators as Chatwee admins', 'Plugin.Chatwee.moderators');
      echo Wrap(
                     T('Check this box if you want to assign admin powers to moderators.'),
                     'div',
                     array('class' => 'Info')
                  );
      echo $this->Form->checkBox('Plugin.Chatwee.moderators');
   ?></li>

</ul>

<br/>

<?php
   echo $this->Form->Close('Save');
?>